Subject: Re: bug#37445: 27.0.50; Permission denied after make install

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Sep 2019 09:07:43 +0300

> Cc: [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Fri, 20 Sep 2019 12:33:20 -0700
> 
> If it is considered to be too much to install the C source files by default, we 
> can simply make that an installation option with default off; that will still be 
> safe, since find-function-C-source-directory will do the right thing when the 
> source files are not installed. However, I'm mildly inclined to install the 
> source files by default since they don't grow the installation size that much: 

If we decide to go this way, I think we should start by making such
source installation optional, because there might be factors we will
be unable to consider or predict.  There's no rush and no particular
reason to make this the default soon, just because we can.

But let's discuss this on emacs-devel, not here.

> > I asked what security problems could be caused by accessing a source tree
> 
> I'll reply separately about that.

TIA, and please do that on emacs-devel.